body {
  background-color: black;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
}

.main-container {
  max-width: 600px;
  width: 100%;
  height: 100vh;
  margin: 0 auto;
  background-image: url("../image/bg.jpg");
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: top center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.child-container {
  flex: 1;
  width: 100%;
  box-sizing: border-box;
}

.glowing-gradient {
  font-size: 2em;
  font-weight: bold;
  padding: 10px 40px;
  color: #fff;
  text-decoration: none;
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff9900,
    #ffff00,
    #cc337a,
    #ff0044,
    #9933ff,
    #ff33cc
  );
  background-size: 400% 400%;
  border-radius: 30px;
  border: 5px solid white;
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.5);
  animation: gradientAnimation 5s ease infinite;
}

@keyframes gradientAnimation {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
